Skip to main content
PUT
/
api2
/
v1
/
jobs
/
{jobUid}
/
conversations
/
plains
/
{conversationId}
Edit plain conversation
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/jobs/{jobUid}/conversations/plains/{conversationId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "resolved",
  "correlation": {
    "uid": "<string>",
    "role": "PARENT"
  }
}
'
{
  "id": "<string>",
  "type": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateModified": "2023-11-07T05:31:56Z",
  "dateEdited": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>",
    "unavailable": true,
    "jobRoles": [
      {
        "type": "PROJECT_OWNER",
        "workflowStep": {
          "id": 123,
          "abbreviation": "<string>",
          "name": "<string>",
          "workflowLevel": 123,
          "workflowStep": {
            "name": "<string>",
            "uid": "<string>",
            "id": "<string>",
            "order": 123,
            "lqaEnabled": true
          }
        },
        "organizationType": "VENDOR"
      }
    ]
  },
  "comments": [
    {
      "id": "<string>",
      "text": "<string>",
      "createdBy": {
        "firstName": "<string>",
        "lastName": "<string>",
        "userName": "<string>",
        "email": "<string>",
        "role": "SYS_ADMIN",
        "id": "<string>",
        "uid": "<string>",
        "unavailable": true,
        "jobRoles": [
          {
            "type": "PROJECT_OWNER",
            "workflowStep": {
              "id": 123,
              "abbreviation": "<string>",
              "name": "<string>",
              "workflowLevel": 123,
              "workflowStep": {
                "name": "<string>",
                "uid": "<string>",
                "id": "<string>",
                "order": 123,
                "lqaEnabled": true
              }
            },
            "organizationType": "VENDOR"
          }
        ]
      },
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateModified": "2023-11-07T05:31:56Z",
      "mentions": [
        {
          "mentionType": "USER",
          "mentionGroupType": "JOB",
          "uidReference": {
            "uid": "<string>"
          },
          "userReferences": [
            {
              "firstName": "<string>",
              "lastName": "<string>",
              "userName": "<string>",
              "email": "<string>",
              "role": "SYS_ADMIN",
              "id": "<string>",
              "uid": "<string>",
              "unavailable": true,
              "jobRoles": [
                {
                  "type": "PROJECT_OWNER",
                  "workflowStep": {
                    "id": 123,
                    "abbreviation": "<string>",
                    "name": "<string>",
                    "workflowLevel": 123,
                    "workflowStep": {
                      "name": "<string>",
                      "uid": "<string>",
                      "id": "<string>",
                      "order": 123,
                      "lqaEnabled": true
                    }
                  },
                  "organizationType": "VENDOR"
                }
              ]
            }
          ],
          "mentionableGroup": {
            "groupType": "JOB",
            "groupName": "<string>",
            "groupReference": {
              "uid": "<string>"
            }
          },
          "tag": "<string>"
        }
      ]
    }
  ],
  "status": {
    "name": "resolved",
    "by": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>",
      "unavailable": true,
      "jobRoles": [
        {
          "type": "PROJECT_OWNER",
          "workflowStep": {
            "id": 123,
            "abbreviation": "<string>",
            "name": "<string>",
            "workflowLevel": 123,
            "workflowStep": {
              "name": "<string>",
              "uid": "<string>",
              "id": "<string>",
              "order": 123,
              "lqaEnabled": true
            }
          },
          "organizationType": "VENDOR"
        }
      ]
    },
    "date": "2023-11-07T05:31:56Z"
  },
  "deleted": true,
  "references": {
    "transGroupId": 1,
    "segmentId": "<string>",
    "taskId": "<string>",
    "jobPartUid": "<string>",
    "conversationTitle": "<string>",
    "conversationTitleOffset": 1,
    "commentedText": "<string>",
    "correlation": {
      "uid": "<string>",
      "role": "PARENT"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required
conversationId
string
required

Body

application/json
status
enum<string>
Available options:
resolved,
unresolved
correlation
object

Response

Updated

id
string
type
string

SEGMENT_TARGET

dateCreated
string<date-time>
dateModified
string<date-time>
dateEdited
string<date-time>
createdBy
object
comments
object[]
status
object
deleted
boolean
references
object